//
//  LocationDelegate.h
//  Near TEECOM
//
//  Created by Alex Serriere on 12/14/11.
//  Copyright (c) 2011 TEECOM. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreLocation/CoreLocation.h>
#import "AppDelegate.h"

@interface LocationDelegate : NSObject <CLLocationManagerDelegate>

@property (nonatomic, strong) CLLocationManager *locationManager;

- (void)locationManager:(CLLocationManager *)manager
    didUpdateToLocation:(CLLocation *)newLocation
           fromLocation:(CLLocation *)oldLocation;
- (void)startMonitoringForRegion;
- (void)startMonitoringForSignificantChanges;
- (void)startMonitoringForStandardChanges;

@end
