//
//  MyMapAnnotation.h
//  Near TEECOM
//
//  Created by Alex Serriere on 12/21/11.
//  Copyright (c) 2011 TEECOM. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <MapKit/MapKit.h>

@interface MyMapAnnotation : NSObject <MKAnnotation>
{
}


@property (nonatomic, strong) NSNumber *longitude;
@property (nonatomic, strong) NSNumber *latitude;

// Conforms to MKAnnoation protocol
@property (nonatomic, readonly) CLLocationCoordinate2D coordinate;
@property (nonatomic, readonly, copy) NSString *subtitle;
@property (nonatomic, readonly, copy) NSString *title;

- (void)setCoordinate:(CLLocationCoordinate2D)newCoordinate;

@end
